#Quantitative Fisheries Center
#R Short course
#R object types 2 (vectors, arrays, data frames)


#Vectors
v1<-c(1:7)
v2<-c(6:12)
v3<-seq(length=7, from=10, by=3)
v4<-seq(length=7, from=-5, by=2)

#create a matrix
mat1<-cbind(v1, v2, v3, v4)
mat1

#select the element in the 2nd row and 4th column
select1<-mat1[2,4]
select1

#select the 2nd through fourth columns
select2<-mat1[,2:4]
select2

#OR
select3<-mat1[,c(2,3,4)]
select3

#select the first row
select4<-mat1[1,]
select4

#select the first 3 rows and the last 2 columns
select5<-mat1[1:3, 3:4]
select5

#Get length of first vector in mat1
length1<-length(mat1[,1])
length1

#Get dimensions of matrix
dim(mat1)

#Create data frame from vectors
df1<-data.frame(v1,v2,v3,v4)
df1

#query out the last 3 columns of the data frame df1
query<-df1[,2:4]
query

#query all rows with a value of v3>20
query1<-df1$v3 > 20
#print query--prints all the columns for the rows that meet the criteria in query1
df1[query1,]
#print only those values >20 in vector (column) 3
df1[query1,3]









