#Quantitative Fisheries Center
#R Short course
#R functions 1

#########################Generate data########################

#Set the dimensions of the matrix
row.num=20
col.num=3

#Create a matrix to fill with data
data<-matrix(0, ncol=col.num, nrow=row.num)
data

#Use two loops to fill matrix data

for(i in 1:row.num){ #for row 1 to row.num
	for(j in 1:col.num){ #for column 1 to col.num
		data[i,1]=rnorm(1, mean=100, sd=20) #Fill column 1 with a random number from a normal distribution with a mean of 100 and sd or 20
		data[i,2]=runif(1, min=0, max=1) #Fill column 2 with a random 0,1 uniform number
		data[i,3]=data[i,1]*data[i,2] #Fill row i of column 3 with the product of row i in column 1 and 2
	}
}
data

#rename columns of matrix data
colnames(data) <- c("x","y","z")

#################################################################

#convert data to a data frame
df<-data.frame(data)
df

#retrieve the names of data frame df
var.names<-names(df)
var.names


#Calculate the mean of variable x in data frame df
mean.x<-mean(df$x)
mean.x

#Calculate the variance of the variable x in data frame df
var.x<-var(df$x)
var.x

#Calculate the standard deviation of x
sd.x<-sd(df$x)
sd.x

#OR

sd.x2<-sqrt(var.x)
sd.x2

#Get summary of variable x
sum1<-summary(df$x)
sum1

#Get summary of contents of data frame df
sum2<-summary(df)
sum2
