#Quantitative Fisheries Center
#R Short course
#R functions 2

#Read in data table from text file

lake.data<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\2_R Functions\\Water_qual_data.txt", na.strings="NA", header=T)

#attach data frame
attach(lake.data)

#Print column names
names(lake.data)

#Print first few rows of the data frame lake.data
head(lake.data)

#Obtain summary of data frame
summary(lake.data)

#Obtain the mean for total phosphorus (tp.ugL)
mean.tp1<-mean(tp.ugL)
mean.tp1

#Now obtain the mean after removing the missing values (NA)
mean.tp2<-mean(tp.ugL, na.rm = TRUE)
mean.tp2

#Obtain column means of variables in the data frame
sapply(lake.data, FUN="mean", na.rm=TRUE)

#sapply and tapply are similar to "looping through" columns
loop.mean<-numeric(13)
for (i in 1:13){
	loop.mean[i]<-mean(lake.data[,i+2], na.rm=T)
}
loop.mean


#Obtain column standard deviations of variables in the data frame
sapply(lake.data[,3:13], FUN="sd", na.rm=T)

#Obtain column variance estimates of variables in the data frame
sapply(lake.data[,3:13], FUN="var", na.rm=T)

#Obtain mean tp.ugl by group
tapply(tp.ugL, list(county), mean, na.rm=T)

#Use the by() function to obtain means of select columns
county.means<-by(lake.data[,3:6], county, summary, na.rm=TRUE)
county.means

#Obtain the levels of character variables
levels<-levels(county)
levels

#Export data
write.csv(loop.mean, file="export1.csv")

