#Quantitative Fisheries Center
#R Short course
#Graphing example


chinook<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\3_Graphing Basics\\Chinook salmon data graphing example.txt", na.strings="NA",header=T)

#Set the size of a multiple figure array using the par and mfrow functions
par(mfrow=c(2,2))

#HISTOGRAM
hist(chinook$length, prob=T, main="Length (mm) histogram", xlab="Chinook slamon lengths", cex.lab=1, col="lightgrey", cex.axis=1)
lines(density(chinook$length, na.rm=T), col="blue")
#rug and jitter show data points as lines on axis
rug(jitter(chinook$length))
#Boxplot of length
boxplot(chinook$length, ylab="Length (mm)", xlab='', col="orange3", lty=1, main="Boxplot of length")

#BOXPLOT
#boxwex is a scale factor for the box width, lty=line type, h=horizontal
boxplot(chinook$trigly~chinook$hatchery, boxwex=0.15, ylab="Triglycerides (mg/dL)", cex.lab=1, cex.axis=1, col=c("lightyellow", "red", "blue"), lty=1, main="Chinook triglyceride levels for three hatcheries")
abline(h=mean(chinook$trigly, na.rm=T), lty=3) 

#SCATTER PLOT
plot(chinook$length,chinook$wgt, xlab="Length (mm)", ylab="Weight (g)", cex.lab=1, cex.axis=1, main="Scatter plot of length-weight")
points(chinook$length[chinook$hatchery=="DWOR"], chinook$wgt[chinook$hatchery=="DWOR"], col="red", pch=19) 
points(chinook$length[chinook$hatchery=="MCCA"], chinook$wgt[chinook$hatchery=="MCCA"], col="blue", pch=9) 
points(chinook$length[chinook$hatchery=="RAPH"], chinook$wgt[chinook$hatchery=="RAPH"], col="black", pch=16) 
legend(110,50, c("DWOR","MCCA","RAPH"), pch=c(19,9,16), col=c("red","blue","black"), bty="n")
arrows(165,35,165,50,0.5,angle=45,lty=1,length=0.25, code=2)
arrows(172,35,172,50,0.5,angle=45,lty=1,length=0.25, code=2)
text(168,33, "Big Fish")


