#Quantitative Fisheries Center
#R Short course
#Simple linear regression 1


#Linear regression example 1
int<-c(1,1,1,1,1)
x<-c(1,2,3,4,5)
y<-c(1,1.6,3.3,3.7,5.4)
#Create design matrix
design<-cbind(int,x)
design

#Estimate coefficients for linear regression of x and y, including intercept
#Betas = (t(x)*x)-1 * t(x)*y

#Regression with slope and intercept
m1<-(t(design)%*%design)
#take inverse of m1
m2<-solve(m1)
betas<-m2%*%t(design)%*%y
betas

#Regression with slope only (intercept through origin)
m1a<-(t(x)%*%x)
#take inverse of m1a
m2a<-solve(m1a)
beta<-m2a%*%t(x)%*%y
beta

#Linear regression of y~x with an intercept using the lm() function
reg.example1<-lm(y~x)
reg.example1

#Look at design matrix for the above model
model.matrix(y~x)
reg.example1

#OR

reg.example2<-lm(y~1+x)
reg.example2

#Linear model without an intercept
reg.example3<-lm(y~0+x)
reg.example3

#Look at design matrix
model.matrix(y~0+x)
reg.example3

plot(y~x, pch=16, cex=1.2)
abline(lm(y~1+x), lty=1)
abline(lm(y~0+x), lty=2)
text(2,3, "No intercept model (line through origin)", cex=1.2)
arrows(1.5,2.8,1.5,1.6, angle=30,lty=2,length=0.25, code=2)
text(2.5,1.5, "Intercept model", cex=1.2)
arrows(2.5,1.6,2.5,2.3, angle=30, lty=1, length=0.25, code=2)


