#Quantitative Fisheries Center
#R short-course
#Exercise 6-Nonlinear regression

species.area<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\7_NonlinearRegression\\Exercise 6_data_Peake and Quinn.txt", header=TRUE)

plot(species~area, data=species.area, pch=16)


#Nonlinear regression - A power function for species-area

model1<-nls(species~alpha*area^(beta), data=species.area, start=list(alpha=15, beta=0.5))
summary(model1)

#Obtain predicted and residual values
fit<-fitted(model1)
res<-resid(model1)

#Plot the residuals vs. predicted
#plot(resid(model1)~fitted(model1))


#Nonlinear regression - Monod equation species-area

model2<-nls(species~ a*(area /(b + area)), data=species.area, start=list(a=30, b=5))
summary(model2)



#Plot model fits
# 1. Generate vector of values that extend the entire range of the x-axis
x<-seq(0, 26118, length=100)
#Estimated values for models 1
y1<-0.8584*x^0.3336
#Estimated values for model 2
y2<-26.087*(x / (3083.669 + x))
#Plot original data points
plot(species~area, data=species.area, xlim=c(0,27000), pch=16)
#Overlay predicted values form models
lines(x,y1)
lines(x,y2, lty=3)
text(10000, 17, "Power function", font=2)
text(4600,18, "Monod equation", font=2)

##More flexible code using max and coef
